<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html" encoding="utf-8" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
 
    <xsl:template match="/">
        <html xmlns="http://www.w3.org/1999/xhtml">
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
            <title>My Cars</title>
 
            <style>
                td{
                    border-bottom:1px dashed #ccc;
                    padding-left:4px;
                }
                th{
                    background: #bacfec;
                    text-align:center;
                    padding: 0 15px 0 15px;
                }
            </style>
        </head>
 
        <body>
            <table>
                <tr>
                    <th>Year</th>
                    <th>Make</th>
                    <th>Model</th>
                    <th>Trim</th>
                </tr>
                <xsl:for-each select="autos/car">
                <tr>
                    <td><xsl:value-of select="year"/></td>
                    <td><xsl:value-of select="make"/></td>
                    <td><xsl:value-of select="model"/></td>
                    <td><xsl:value-of select="trim"/></td>
                </tr>
                </xsl:for-each>
            </table>
        </body>
        </html>
    </xsl:template>
</xsl:stylesheet>